Bug 1246741 - realmd: use of $libdir for config files and executables
Summary: realmd: use of $libdir for config files and executables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: realmd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sumit Bose
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-25 10:53 UTC by Kay Sievers
Modified: 2021-07-29 13:25 UTC (History)
4 users (show)

Fixed In Version: realmd-0.16.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-29 13:25:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Kay Sievers 2015-07-25 10:53:57 UTC
Any specific reason for placing things in $libdir:
  /usr/lib64/realmd/realmd
  /usr/lib64/realmd/realmd-defaults.conf
  /usr/lib64/realmd/realmd-distro.conf

%{_libdir}/ is usually for shared objects, not for well-known locations of
"config files" or compatible-arch binaries; such things should not depend on
the architecture that is used.

%{_prefix}/lib/ sound like the better choice.

Comment 1 Stef Walter 2015-07-31 11:16:31 UTC
Makes sense. Will fix. The first one is an executable:

  /usr/lib64/realmd/realmd

But the others are not.

Comment 2 Fedora Update System 2015-07-31 12:51:26 UTC
realmd-0.16.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/realmd-0.16.2-1.fc22

Comment 3 Fedora Update System 2015-07-31 12:52:24 UTC
realmd-0.16.2-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/realmd-0.16.2-1.fc23

Comment 4 Fedora Update System 2015-07-31 16:47:54 UTC
Package realmd-0.16.2-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.16.2-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12471/realmd-0.16.2-1.fc23
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-08-10 09:55:49 UTC
realmd-0.16.2-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-12 07:04:32 UTC
realmd-0.16.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Peter Robinson 2015-08-17 15:34:10 UTC
(In reply to Kay Sievers from comment #0)
> Any specific reason for placing things in $libdir:
>   /usr/lib64/realmd/realmd
>   /usr/lib64/realmd/realmd-defaults.conf
>   /usr/lib64/realmd/realmd-distro.conf
> 
> %{_libdir}/ is usually for shared objects, not for well-known locations of
> "config files" or compatible-arch binaries; such things should not depend on
> the architecture that is used.
> 
> %{_prefix}/lib/ sound like the better choice.

Wouldn't /usr/libexec be better for this? /usr/lib/ is also for shared objects in 32 bit releases so is no better than /usr/lib64/

Comment 8 Jan Kurik 2016-02-24 13:28:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 Fedora Admin XMLRPC Client 2016-05-18 13:44:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora End Of Life 2017-07-25 19:02:06 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Peter Robinson 2017-08-06 19:13:40 UTC
>   /usr/lib64/realmd/realmd-defaults.conf
>   /usr/lib64/realmd/realmd-distro.conf

these are still there in F-26:

/usr/lib/realmd/realmd
/usr/lib/realmd/realmd-defaults.conf
/usr/lib/realmd/realmd-distro.conf

And in fact not even in lib64 in the case of x86_64 so they're still wrong

realmd-0.16.3-5.fc26.x86_64

Comment 12 Sumit Bose 2017-09-11 11:49:34 UTC
For /usr/lib/realmd/realmd I agree that /usr/libexec/ is the better place.

Do you think the default configuration files /usr/lib/realmd/realmd-defaults.conf and /usr/lib/realmd/realmd-distro.conf should be move to /usr/libexec as well or can they stay in /usr/lib or is there a better place somewhere else? I checked the Fedora packaging guides but didn't found any recommendation for this type of default configuration which can be overwritten by files in /etc, /etc/realmd.conf in this case.

Comment 13 Peter Robinson 2017-09-11 13:41:37 UTC
I'd ask the packaging committee, generally most other daemons use /etc for everything and if/when they're edited deal with it using the config overwrite policies.

Comment 14 Stef Walter 2017-09-11 15:03:50 UTC
For realmd (like systemd, sssd and many other daemons), config defaults should not be present in /etc ... only administrator overrides to defaults.

Comment 15 Sumit Bose 2021-07-29 13:25:41 UTC
Hi,

since Fedora 34 the realmd daemon is moved to /usr/libexec and the default config files are in /usr/lib/realmd.

I'm closing the ticket as CURRENTRELEASE.

bye,
Sumit


Note You need to log in before you can comment on or make changes to this bug.